commit:     2c74698f4e61db04d8711a6683e64e7ad50a060d
Author:     David Roman <davidroman96 <AT> gmail <DOT> com>
AuthorDate: Sun Oct 14 20:16:39 2018 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Thu Oct 18 21:40:34 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2c74698f

app-backup/restic: verbump to 0.9.3.

Signed-off-by: David Roman <davidroman96 <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/10147
Signed-off-by: Patrice Clement <monsieurp <AT> gentoo.org>

 app-backup/restic/Manifest            |  1 +
 app-backup/restic/restic-0.9.3.ebuild | 54 +++++++++++++++++++++++++++++++++++
 2 files changed, 55 insertions(+)

diff --git a/app-backup/restic/Manifest b/app-backup/restic/Manifest
index 6b3ac673e04..519253b1e19 100644
--- a/app-backup/restic/Manifest
+++ b/app-backup/restic/Manifest
@@ -1,2 +1,3 @@
 DIST restic-0.8.3.tar.gz 48746281 BLAKE2B 
4161326068165b5ba19e9ee0e6386aa1df29a961a42509a2cb7924958100b9412abd1dd27d299d1eef76fdd4731d4a56f0a68e796a46071229a3e6767d3a6bb7
 SHA512 
758b2c69af8aad6bb62dc750141d5f5a1954ca2b51350ef59c35fd10afefaddc4d8d0cdd5914f249594946db6138124a48fba531b8a24353f022ccea773a240c
 DIST restic-0.9.2.tar.gz 27344284 BLAKE2B 
17c121a0d4df470397b467e09ceac559848c34e6a43f289b68eff8b85af86a18a4d2e1340060812613cb7e9cecf86f706565a6bcce31fbcd5aab076a85b57c67
 SHA512 
e060e0e16031924df7347ec74972bf52c75c84cca8ae996b1c5dd8a6f42c9022062e004ec17af2ebc0b6e9480ecfdff4ca7f64956afab9b9799201848d0be731
+DIST restic-0.9.3.tar.gz 26183792 BLAKE2B 
2bb98bd0b5430f928cdc566e558e503d84e611d05da8866f4f5d6f75a325ed73e7674098d73976d8f37ba8d38232adaedc25e2ea211403ea482cecc81f476ba9
 SHA512 
a8d906984d17e46533a377fba464d909a92016595d7585f37942bc68c24f9356c47df83f2e6ec15b877ea20f864be87362db4421665b594fecb4bca78b520393

diff --git a/app-backup/restic/restic-0.9.3.ebuild 
b/app-backup/restic/restic-0.9.3.ebuild
new file mode 100644
index 00000000000..89515ce18d0
--- /dev/null
+++ b/app-backup/restic/restic-0.9.3.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit bash-completion-r1 golang-vcs-snapshot
+
+DESCRIPTION="A backup program that is fast, efficient and secure"
+HOMEPAGE="https://restic.github.io/";
+SRC_URI="https://github.com/restic/restic/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+EGO_PN="github.com/restic/restic"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="test"
+
+RDEPEND="sys-fs/fuse:0"
+DEPEND="${RDEPEND}"
+
+S="${WORKDIR}/${P}/src/${EGO_PN}"
+
+src_compile() {
+       local mygoargs=(
+               -v
+               -work
+               -x
+               -tags release
+               -ldflags "-X main.version=${PV}"
+               -asmflags "-trimpath=${S}"
+               -gcflags "-trimpath=${S}"
+               -o restic ${EGO_PN}/cmd/restic
+       )
+
+       GOPATH="${WORKDIR}/${P}:$(get_golibdir_gopath)" \
+               go build "${mygoargs[@]}" || die
+}
+
+src_test() {
+       GOPATH="${WORKDIR}/${P}:$(get_golibdir_gopath)" \
+               go test -timeout 30m -v -work -x ${EGO_PN}/cmd/... 
${EGO_PN}/internal/... || die
+}
+
+src_install() {
+       dobin restic
+
+       newbashcomp doc/bash-completion.sh "${PN}"
+
+       insinto /usr/share/zsh/site-functions
+       newins doc/zsh-completion.zsh _restic
+
+       doman doc/man/*
+       dodoc doc/*.rst
+}

Reply via email to